html, body {
  font-size: 16px;
  font-family: 'Roboto', sans-serif;/* font-family */
  box-sizing: border-box; /* contains in parent */
  margin: 0; /* removes default margin */
  height: 100%;
}

* {
  box-sizing: inherit; /* inherits "box-sizing: border-box" above for all elements */
  
  /* disable select */
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

.wrapper {
  width: 100%;
  text-align: left;
  margin-left: auto;
  margin-right: auto;
  background-color: #D5D2CD;
  padding: 10px; /* note this adds padding around the footer */

  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.topnav {
  overflow: hidden;
  text-align: center;
}

/* CSS for hamburger icon */
.topnav .icon {
  display: none; /* set so icon does not display, turned on for mobile devices below */
}

/* Style the links inside the navigation bar */
.topnav a {
  float: left;
  text-align: center;
  font-family: 'Roboto-serif', sans-serif;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 16px;
  width: 8em;
  color: black;
}

.topnav a:last-child {
  float: right;
  width: 8em;
}

/* Change the color of topnav links on hover */
.topnav a:hover {
  background-color: #9C8B7E;
  color: white;
  font-size: 18px;
}

/* references default layout 'main' */
main {
  background-color: #D5D2CD; /* main background color, doesnt effect wrapper, topnav, or footer */
  padding-left: 10px;
  flex: 1;
}

.header {
  text-align: center;
  align-items: center;
}

/* Footer CSS */
footer {
  display: flex;
  flex-wrap: wrap; /* wrap to the next line if they dont fit on the current one */
  justify-content: space-between;
  align-items: center;
  background-color: #9C8B7E;
  padding: 20px;
}

footer .nav,
footer .icons,
footer .info {
  flex: 1; /* equal spacing */
}

footer .nav {
  text-align: left;
}

footer .icons {
  text-align: center;
}

footer .info {
  text-align: right;
}

footer ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

footer ul li {
  display: inline-block;
  margin-right: 15px;
}

footer p {
  margin: 0;
}

footer a {
  text-decoration: underline;
  color: black;
  transition: color 0.3s; /* Smooth transition for color change */
}

/* Hover effect */
footer a:hover {
  color: #D5D2CD; /* Change color on hover */
}

footer i {
  margin-right: 10px;
}

footer .copy {
  display: block;
  text-align: center;
  width: 100%;
  margin-top: 10px;
}

.comments-container {
  max-width: 800px;
  margin: 0 auto; /* centers the container */
  padding: 20px;
  box-sizing: border-box;
}

/* share buttons for blog posts */
.share-buttons {
  text-align: center;
}

.share-buttons a {
  text-decoration: none;
}

.share-buttons a i {
  margin-right: 10px;
  color: #555;
  transition: color 0.3s ease;
}

.share-buttons a i:hover {
  color: #9C8B7E;
}

@media screen and (max-width: 800px) { /* mobile devices & tablets - screen width <= 768px */

  .topnav a:not(.icon) { /* all topnav links not with class 'icon' (all except hamburger icon) do not display before icon pressed */
    display: none;
  }
  
  .topnav .icon { /* icon now displays */
    float: right;
    display: block;
    cursor: pointer;
    padding: 14px 16px;
    color: black;
  }

  .topnav.responsive a.icon {
    background-color: #9C8B7E; /* sets the background color to contrast rest of links so users know its active */
    position: absolute;
    top: 0;
    right: 0;
  }

  .topnav.responsive a { /* topnav links including icon after icon pressed */
    float: none;
    display: block;
    text-align: left;
  }

  .topnav.responsive a:not(.icon) { /* topnav links NOT including icon after icon pressed */
    width: 70%;
    text-align: center;
  }

  footer .icons { /* Footer icons now stack in a column instead of being smushed together */
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px;
  }

  .comments-container {
    max-width: 100%; /* makes it full width on smaller screens */
    padding: 10px;
  }
}

@media screen and (max-width: 480px) { /* mobile phone devices only - no tablets */

  main ul {
    padding-inline-start: 20px; /* this removes half of the default padding of 40px for our uls */
  }
  
  footer ul {
    padding: 0;
    margin: 0;
    list-style: none;
  }

  footer ul li {
    display: block;
    width: 100%;
    text-align: left;
  }

  footer ul li,
  footer p { /* separate the links a bit to improve mobile UX */
    margin: 2px 0;
  }

  footer .icons a:last-child { /* hides the last a element on smaller screens to prevent bunching (temp fix) */
    display: none;
  }
}